# AAMVADocument class

Inheritance
  - Object
  - BarcodeFormattedResult
  - AAMVADocument
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

AAMVADocument(String? headerRawString, String? fileType, String? issuerIdentificationNumber, String? aamvaVersionNumber, String? jurisdictionVersionNumber, int? numberOfEntries, List<AAMVADocumentSubfile>? subfiles)
AAMVADocument.fromJson(Map<String, dynamic> json)
  factory

## Properties

aamvaVersionNumber ↔ String?
  Document version string
  read / write
documentFormat ↔ String
  read / write inherited
fileType ↔ String?
  AAMVA file type
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
headerRawString ↔ String?
  Header raw string
  read / write
issuerIdentificationNumber ↔ String?
  Issuer identification number
  read / write
jurisdictionVersionNumber ↔ String?
  Jurisdiction version string
  read / write
numberOfEntries ↔ int?
  Number of entries in the documents
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
subfiles ↔ List<AAMVADocumentSubfile>?
  Vector of document's subfiles
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_FORMAT → const String
  `'AAMVA'`